/**
 * \file    drv_bist.h
 * \brief   
 * 
 * \par     Copyright (c) 2019 UWE Technologies Corp., Ltd. All Rights Reserved.
 * \author  James
 * \date    2019-11-21
 * \version 
 * 
 * \history 
 *  Date        Note
 *  2019-11-21  Original Creation
 * 
 */
 
#ifndef __DRV_BIST_H_
#define __DRV_BIST_H_


#include "types.h"

void drv_bist_init();

void drv_bist_clk_gen(u32_t count);

u8_t drv_bist_write(u32_t addr, u32_t val);

u8_t drv_bist_read(u32_t addr, u32_t *p_val);


#endif /* #ifndef __DRV_BIST_H_ */


